curl --request POST \
--url https://api.you.com/v1/agents/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent": "advanced",
"input": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"
}
'
import requests
url = "https://api.you.com/v1/agents/runs"
payload = {
"agent": "advanced",
"input": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: 'advanced',
input: 'You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it'
})
};
fetch('https://api.you.com/v1/agents/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.you.com/v1/agents/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent' => 'advanced',
'input' => 'You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.you.com/v1/agents/runs"
payload := strings.NewReader("{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.you.com/v1/agents/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.you.com/v1/agents/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}"
response = http.request(request)
puts response.read_body
{
"output": [
{
"type": "chat_node.answer",
"text": "What Engineers Need to Know. **Key Takeaway:** Microplastics are tiny plastic particles that are pervasive in the environment and can enter the human body through various [...]",
"content": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it",
"agent": "advanced"
}
]
}
{
"errors": [
{
"status": "400",
"code": "bad_request",
"title": "Invalid request body",
"detail": "The field 'tools' must be an array of objects."
}
]
}
{
"errors": [
{
"status": "403",
"code": "tool_not_allowed",
"title": "Tool not allowed",
"detail": "You are not allowed to use the requested tool for this agent or tenant."
}
]
}
Agent
Advanced Agent (Beta)
POST
/
v1
/
agents
/
runs
cURL
curl --request POST \
--url https://api.you.com/v1/agents/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent": "advanced",
"input": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"
}
'
import requests
url = "https://api.you.com/v1/agents/runs"
payload = {
"agent": "advanced",
"input": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: 'advanced',
input: 'You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it'
})
};
fetch('https://api.you.com/v1/agents/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.you.com/v1/agents/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent' => 'advanced',
'input' => 'You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.you.com/v1/agents/runs"
payload := strings.NewReader("{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.you.com/v1/agents/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.you.com/v1/agents/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent\": \"advanced\",\n \"input\": \"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it\"\n}"
response = http.request(request)
puts response.read_body
{
"output": [
{
"type": "chat_node.answer",
"text": "What Engineers Need to Know. **Key Takeaway:** Microplastics are tiny plastic particles that are pervasive in the environment and can enter the human body through various [...]",
"content": "You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it",
"agent": "advanced"
}
]
}
{
"errors": [
{
"status": "400",
"code": "bad_request",
"title": "Invalid request body",
"detail": "The field 'tools' must be an array of objects."
}
]
}
{
"errors": [
{
"status": "403",
"code": "tool_not_allowed",
"title": "Tool not allowed",
"detail": "You are not allowed to use the requested tool for this agent or tenant."
}
]
}
This endpoint engages advanced agents that use tools, multi-turn reasoning, and planning to solve complex queries. The agents break down each query into a workflow, execute the steps iteratively, and reflect on the findings before generating a final response.
The input for the agent. This can be a query or a prompt.
Example:
"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"
When set to "true", it will enable SSE (server side events) response. This is useful if you want to stream the response to your applications (e.g., with chatbots). Currently, only "true" is supported.
Add tools the system can call to expand its capabilities, providing more precise answers to the input query. See Research Tool and Compute Tool for more details.
Controls the level of detail provided by the agent's response. Choosing high maps to a long-form report while medium maps to a medium verbosity report that captures most details but less comprehensive
Manages the parameters that control how the agent orchestrates and executes the workflow to answer your query. Adjust its settings to balance between response quality, thoroughness, and speed.
Show child attributes
Response
Inference response in application/json or text/event-stream format.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"You.com API","colors":{"primary":"#596CED","light":"#decef4","dark":"#596CED"},"logo":{"light":"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/light.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=e137388d4ab9a92522ac345398106fd6","dark":"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/dark.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=85ee41f940bc8d99aad0168c2d148d30"},"favicon":"/favicon.png","api":{"openapi":["openapi.yaml","openapi_chat.yaml"]},"background":{"decoration":"gradient","color":{"dark":"#090014"}},"navbar":{"links":[{"label":"Discord","href":"https://discord.com/invite/youdotcom"}],"primary":{"type":"button","label":"Get an API Key","href":"https://you.com/platform"}},"footer":{"socials":{"twitter":"https://twitter.com/youdotcom","linkedin":"https://www.linkedin.com/company/youdotcom"}},"icons":{"library":"lucide"},"styling":{},"integrations":{"ga4":{"measurementId":"G-D65GMT6MQN"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"you","hasAudioNarration":false,"actualSubdomain":"you","customDomains":["old-docs.you.com"],"gitSource":{"type":"github","owner":"su-sea","repo":"docs-example","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21c926539692d19e12cd4d","collectionId":"f58c71bd-37ef-4564-984d-fe4050e9be9a","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21c926539692d19e12cd4d:success","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":20},{"language":"default","tag":"Developer Resources","count":9},{"language":"default","tag":"Tutorials","count":8},{"language":"default","tag":"Get Started","count":4},{"language":"default","tag":"Tools","count":4},{"language":"default","tag":"Agent","count":3},{"language":"default","tag":"Custom Agent","count":3},{"language":"default","tag":"Other Tools","count":3},{"language":"default","tag":"Advanced Agent","count":2},{"language":"default","tag":"Search","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".text-light{margin-top:2rem;margin-bottom:4%;font-size:2rem;font-weight:600;font-family:Arial,Helvetica,sans-serif;color:#000}.dark\\:text-dark:is(.dark *){color:#fff}"},{"filePath":"styles/custom.css","content":".custom-welcome-page>div{max-width:none!important;padding:0!important}.custom-welcome-page>div>h1:first-child{display:none}.custom-welcome-page #welcome{display:flex;flex-direction:column;justify-content:flex-start;align-items:center;width:100%;max-width:1200px;margin:0 auto;min-height:auto;padding:2rem .5rem}.text-light{margin-top:2rem;margin-bottom:4%;font-size:2rem;font-weight:600;font-family:Arial,Helvetica,sans-serif;color:#000}.dark\\:text-dark:is(.dark *){color:#fff}.card-container{display:grid;grid-template-columns:repeat(auto-fit,minmax(250px,1fr));gap:20px}.prose pre{background:0 0;box-shadow:none}.dark .prose pre{background:#0b1220;border:1px solid rgba(255,255,255,.08)}.beta-badge{display:inline-block;padding:2px 8px;margin:8px 0 12px;font-size:12px;font-weight:600;letter-spacing:.02em;color:#1e3a8a;background:#dbeafe;border:1px solid #93c5fd;border-radius:9999px}.dark .beta-badge{color:#bfdbfe;background:rgba(30,58,138,.35);border-color:#60a5fa}.prose h1{display:inline-block;margin-right:8px}.prose h1+.beta-badge{display:inline-block;vertical-align:middle;position:relative;top:-2px}#custom-agents-page:before{content:\"\"}.prose h1:has(+#custom-agents-page){display:inline-block;margin-right:8px}.prose h1:has(+#custom-agents-page)::after{content:\"Beta\";display:inline-block;padding:2px 8px;margin-left:8px;font-size:12px;font-weight:600;letter-spacing:.02em;color:#1e3a8a;background:#dbeafe;border:1px solid #93c5fd;border-radius:9999px}.dark .prose h1:has(+#custom-agents-page)::after{color:#bfdbfe;background:rgba(30,58,138,.35);border-color:#60a5fa}"}],"page":{"pagePath":"api-reference/advanced-agent","slug":"/api-reference/advanced-agent","pageMetadata":{"title":"Advanced Agent (Beta)","og:title":"Advanced Agent Mode","og:description":"You.com Advanced Agents Mode is for deep-thinking tasks.","openapi":"openapi_agents_advanced POST /v1/agents/runs","description":null,"href":"/api-reference/advanced-agent"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Heading}=_components;if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`description`,children:`Description`}),`\n`,_jsx(_components.p,{children:`This endpoint engages advanced agents that use tools, multi-turn reasoning, and planning to solve complex queries. The agents break down each query into a workflow, execute the steps iteratively, and reflect on the findings before generating a final response.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Advanced Agent (Beta)","og:title":"Advanced Agent Mode","og:description":"You.com Advanced Agents Mode is for deep-thinking tasks.","openapi":"openapi_agents_advanced POST /v1/agents/runs","description":null,"href":"/api-reference/advanced-agent"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Description","slug":"description","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["e0aac4df-fe40-42ed-ba15-793c4feab874"],"requestBody":"f739aea7-609f-4546-b727-5cd26773edb6","responses":{"200":"6af56ae7-1d13-4c2a-83a6-868404036fff","400":"1afebf5f-0414-4909-a469-a8f752185937","401":"6597322d-c3cc-4a3f-a3b3-16c1c98c287a","403":"7dd0c14b-373a-40c6-8cd7-2ed19b4f72a9"},"method":"post","type":"path","servers":["a6e67f35-fe8b-46af-840a-5cd558c3dfc6"],"path":"/v1/agents/runs","baseUrlOptions":["https://api.you.com"],"title":"","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["agent","input"],"properties":{"agent":{"type":"string","description":"The agent mode that will be used to execute your request. This parameter must be set as 'advanced'.","default":"advanced","isRequired":true,"uniqueKey":"agent","typeLabel":"string"},"input":{"type":"string","description":"The input for the agent. This can be a query or a prompt.","example":"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it","isRequired":true,"uniqueKey":"input","typeLabel":"string"},"stream":{"description":"When set to \"true\", it will enable SSE (server side events) response. This is useful if you want to stream the response to your applications (e.g., with chatbots). Currently, only \"true\" is supported.","type":"boolean","default":true,"uniqueKey":"stream","typeLabel":"boolean"},"tools":{"type":"array","description":"Add tools the system can call to expand its capabilities, providing more precise answers to the input query. See [Research Tool](/tools/research-tool) and [Compute Tool](/tools/compute-tool) for more details.","items":{"type":"object","properties":{"type":{"type":"string","enum":["research","compute"],"uniqueKey":"tools.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"tools.items.[INDEX]","typeLabel":"object"},"uniqueKey":"tools","typeLabel":"object[]"},"verbosity":{"description":"Controls the level of detail provided by the agent's response. Choosing `high` maps to a long-form report while `medium` maps to a medium verbosity report that captures most details but less comprehensive","type":"string","enum":["medium","high"],"default":"medium","uniqueKey":"verbosity","typeLabel":"enum\u003cstring>"},"workflow_config":{"description":"Manages the parameters that control how the agent orchestrates and executes the workflow to answer your query. Adjust its settings to balance between response quality, thoroughness, and speed.","type":"object","properties":{"max_workflow_steps":{"description":"Defines the maximum number of steps the agent uses in its workflow plan to answer your query. Higher values allow for more tool calls, but it takes longer for the agent to provide the response. For instance, setting `max_workflow_steps=5` could allow the agent to call the research tool 3 times and the compute tool 2 times.","type":"integer","minimum":1,"maximum":20,"default":10,"uniqueKey":"workflow_config.max_workflow_steps","typeLabel":"integer"}},"uniqueKey":"workflow_config","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"example":{"agent":"advanced","input":"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"},"examples":{"Example":{"title":"Example","value":{"agent":"advanced","input":"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"6af56ae7-1d13-4c2a-83a6-868404036fff":{"description":"Inference response in application/json or text/event-stream format.","content":{"application/json":{"schema":{"type":"object","properties":{"output":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The type of the output.","example":"chat_node.answer","uniqueKey":"output.items.[INDEX].type","typeLabel":"string"},"text":{"type":"string","description":"The text of the output.","example":"What Engineers Need to Know. **Key Takeaway:** Microplastics are tiny plastic particles that are pervasive in the environment and can enter the human body through various [...]","uniqueKey":"output.items.[INDEX].text","typeLabel":"string"},"content":{"type":"object","description":"Returns the exact search query.","example":"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it","uniqueKey":"output.items.[INDEX].content","typeLabel":"object"},"agent":{"type":"string","description":"The agent used to generate the response.","default":"advanced","uniqueKey":"output.items.[INDEX].agent","typeLabel":"string"}},"uniqueKey":"output.items.[INDEX]","typeLabel":"object"},"uniqueKey":"output","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"output":[{"type":"chat_node.answer","text":"What Engineers Need to Know. **Key Takeaway:** Microplastics are tiny plastic particles that are pervasive in the environment and can enter the human body through various [...]","content":"You are a biologist studying the impacts of microplastics. Explain what microplastics are to a group of engineers, explain the impacts of microplastics on the body, and what the common source and dosage of microplastics are. High-light what a safe dosage might be and how to achieve it","agent":"advanced"}]}}},"exampleType":"generated"},"text/event-stream":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"Sequence number of the SSE event, starts from 0.","example":0,"uniqueKey":"id","typeLabel":"integer"},"event":{"type":"string","description":"The type of the SSE event.","example":"response.output_item.added","uniqueKey":"event","typeLabel":"string"},"data":{"type":"object","properties":{"seq_id":{"type":"integer","description":"Sequence number of the SSE event, starts from 0. Same as `id` field.","example":0,"uniqueKey":"data.seq_id","typeLabel":"integer"},"type":{"type":"string","description":"The type of the SSE event. Same as `event` field.","example":"response.output_item.added","uniqueKey":"data.type","typeLabel":"string"},"response":{"type":"object","properties":{"type":{"type":"string","description":"The type of the response.","example":"web_search.results, chat_node.answer","uniqueKey":"data.response.type","typeLabel":"string"},"output_index":{"type":"integer","description":"The index of the output in the response.","example":0,"uniqueKey":"data.response.output_index","typeLabel":"integer"},"delta":{"type":"string","description":"The delta of the response.","uniqueKey":"data.response.delta","typeLabel":"string"},"full":{"type":"object","description":"The full response object of the output item.","uniqueKey":"data.response.full","typeLabel":"object"}},"uniqueKey":"data.response","typeLabel":"object"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":0,"event":"response.output_item.added","data":{"seq_id":0,"type":"response.output_item.added","response":{"type":"web_search.results, chat_node.answer","output_index":0,"delta":"\u003cstring>","full":{}}}}}},"exampleType":"generated"}},"exampleType":"generated"},"1afebf5f-0414-4909-a469-a8f752185937":{"description":"Bad Request. Invalid or malformed request body/parameters.","content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["status","code","title","detail"],"properties":{"status":{"type":"string","example":"400","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","example":"bad_request","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Invalid request body","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"The field 'tools' must be an array of objects.","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"status":"400","code":"bad_request","title":"Invalid request body","detail":"The field 'tools' must be an array of objects."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"400","code":"bad_request","title":"Invalid request body","detail":"The field 'tools' must be an array of objects."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"6597322d-c3cc-4a3f-a3b3-16c1c98c287a":{"description":"Unauthorized. Problems with API key.","content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["status","code","title","detail"],"properties":{"status":{"type":"string","example":"401","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","example":"unauthorized","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Unauthorized","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"Missing or invalid Authorization header. Use 'Authorization: Bearer \u003cAPI_KEY>'.","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"status":"401","code":"unauthorized","title":"Unauthorized","detail":"Missing or invalid Authorization header. Use 'Authorization: Bearer \u003cAPI_KEY>'."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"401","code":"unauthorized","title":"Unauthorized","detail":"Missing or invalid Authorization header. Use 'Authorization: Bearer \u003cAPI_KEY>'."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"7dd0c14b-373a-40c6-8cd7-2ed19b4f72a9":{"description":"Forbidden. API key lacks scope for this path.","content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["status","code","title","detail"],"properties":{"status":{"type":"string","example":"403","isRequired":true,"uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"type":"string","example":"tool_not_allowed","isRequired":true,"uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","example":"Tool not allowed","isRequired":true,"uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","example":"You are not allowed to use the requested tool for this agent or tenant.","isRequired":true,"uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"status":"403","code":"tool_not_allowed","title":"Tool not allowed","detail":"You are not allowed to use the requested tool for this agent or tenant."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"status":"403","code":"tool_not_allowed","title":"Tool not allowed","detail":"You are not allowed to use the requested tool for this agent or tenant."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"e0aac4df-fe40-42ed-ba15-793c4feab874":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","scopes":[]}}},"servers":{"a6e67f35-fe8b-46af-840a-5cd558c3dfc6":{"url":"https://api.you.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"The unique API Key required to authorize API access. Learn how to get yours in the [“Get your API key” section of the documentation](/get-started/quickstart#get-your-api-key).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi_agents_advanced.yaml"},"subdomain":"you","siteName":"You.com API","title":"Advanced Agent Mode","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/advanced-agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"You.com API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Advanced Agent Mode\">\u003cmeta data-mint-head property=\"og:description\" content=\"You.com Advanced Agents Mode is for deep-thinking tasks.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"You.com API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://old-docs.you.com/api-reference/advanced-agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://you.mintlify.app/_mintlify/api/og/v2?division=Agent\u0026amp;title=Advanced+Agent+%28Beta%29\u0026amp;theme=f554274653090c6133fad80f\u0026amp;signature=30d2d6dd59d6b3462cc9a9221b658293ed303013ad97636cbc6696b81658aff2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Advanced Agent Mode\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"You.com Advanced Agents Mode is for deep-thinking tasks.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://you.mintlify.app/_mintlify/api/og/v2?division=Agent\u0026amp;title=Advanced+Agent+%28Beta%29\u0026amp;theme=f554274653090c6133fad80f\u0026amp;signature=30d2d6dd59d6b3462cc9a9221b658293ed303013ad97636cbc6696b81658aff2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/you/faYhI-oxxSDbXhz9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"You.com API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#596CED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://old-docs.you.com/api-reference/advanced-agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/advanced-agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://old-docs.you.com/#organization\",\"name\":\"You.com API\",\"url\":\"https://old-docs.you.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/you/gx9H8EPolrUtPSge/logo/light.svg?fit=max\u0026auto=format\u0026n=gx9H8EPolrUtPSge\u0026q=85\u0026s=e137388d4ab9a92522ac345398106fd6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://old-docs.you.com#website\",\"name\":\"You.com API\",\"url\":\"https://old-docs.you.com\",\"publisher\":{\"@id\":\"https://old-docs.you.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://old-docs.you.com/api-reference/advanced-agent#webpage\",\"url\":\"https://old-docs.you.com/api-reference/advanced-agent\",\"name\":\"Advanced Agent (Beta)\",\"isPartOf\":{\"@id\":\"https://old-docs.you.com#website\"},\"breadcrumb\":{\"@id\":\"https://old-docs.you.com/api-reference/advanced-agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://old-docs.you.com/api-reference/advanced-agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://old-docs.you.com/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Advanced Agent (Beta)\",\"item\":\"https://old-docs.you.com/api-reference/advanced-agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://old-docs.you.com/api-reference/advanced-agent#apireference\",\"headline\":\"Advanced Agent (Beta)\",\"name\":\"Advanced Agent (Beta)\",\"url\":\"https://old-docs.you.com/api-reference/advanced-agent\",\"mainEntityOfPage\":{\"@id\":\"https://old-docs.you.com/api-reference/advanced-agent#webpage\"},\"publisher\":{\"@id\":\"https://old-docs.you.com/#organization\"},\"isPartOf\":{\"@id\":\"https://old-docs.you.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"You.com API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"You.com API","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":"/get-started/welcome"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Search","openapi":"get /v1/search","description":null,"href":"/api-reference/search"},{"group":"Agent","expanded":true,"pages":[{"title":"Advanced Agent (Beta)","openapi":"openapi_agents_advanced POST /v1/agents/runs","href":"/api-reference/advanced-agent"},{"title":"Custom Agent (Beta)","openapi":"openapi_agents_custom POST /v1/agents/runs","description":null,"href":"/api-reference/custom-agent"},{"title":"Express Agent (Beta)","openapi":"openapi_agents POST /v1/agents/runs","href":"/api-reference/express-agent"}]},{"title":"Contents","openapi":"post /v1/contents","href":"/api-reference/contents"},{"title":"Images","openapi":"openapi_images get /images","href":"/api-reference/images"},{"title":"Live News","openapi":"openapi_livenews GET /livenews","href":"/api-reference/news"},{"title":"Search (Legacy)","openapi":"get /search","href":"/api-reference/search-legacy"},{"title":"Smart API (Legacy)","openapi":"openapi_chat POST /smart","href":"/api-reference/smart"},{"title":"Research API (Legacy)","openapi":"openapi_chat POST /research","href":"/api-reference/research"}]}]},{"tab":"Tools","pages":[{"title":"Tools","href":"/tools/mcp-server"}]},{"tab":"Developer Resources","pages":[{"title":"Developer Resources","href":"/developer-resources/tutorials/search/guides"}]}]},"title":"Advanced Agent Mode","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}